%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Crypt-DSA
%define modv   1.16
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       DSA Signatures and Key Generation for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.16-Math_BigInt.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Adam Kennedy <adamk@cpan.org>
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Math::BigInt::GMP)
BuildRequires: perl >= 5.5
BuildRequires: perl(Config)
BuildRequires: perl(Convert::PEM)
BuildRequires: perl(Crypt::DES_EDE3)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Buffer) >= 0.01
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Which) >= 0.05
BuildRequires: perl(FindBin)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Math::BigInt::GMP)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Test::More) >= 0.42
BuildArch:     noarch


%description
Crypt::DSA is an implementation of the DSA (Digital Signature Algorithm)
signature verification system. The implementation itself is pure Perl,
although the heavy mathematics underneath are provided by the Math::Pari
library. This package provides DSA signing, signature verification, and
key generation.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(BufferWithInt)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/%{modp}
%{_mandir}/man3/*.3*


%changelog
* Wed May 05 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.16-1
- Upgrade version (1.16)

* Thu Jul 23 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.14-1
- Initial build
